Perl 5.26.* Ccompiling 3 modules with a similar (looking) problem...

GM,
Excuse the noise if this problem is mine or belongs in another forum...

> Storable.xs(1291): Error! E1009: Expecting ')' but found '2.62'
> Storable.xs(1291): Error! E1147: Too many errors: compilation aborted
> make[1]: *** [Storable.obj] Error 1
> make[1]: Target 'all' not remade because of errors.
> threads.xs(271): Error! E1009: Expecting ')' but found '2.15'
> threads.xs(271): Error! E1147: Too many errors: compilation aborted
> make[1]: *** [threads.obj] Error 1
> make[1]: Target 'all' not remade because of errors.
> DBI.c(6413): Error! E1009: Expecting ')' but found '1.641'
> DBI.c(6413): Error! E1147: Too many errors: compilation aborted
> make[1]: *** [DBI.obj] Error 1
> make[1]: Target 'all' not remade because of errors.

The numbers are the XS_VERSION; If I comment out the XS_VERSION_DEFINE 
in the Makefile, then 'XS_VERSION' appears in the error message. What 
mechanism determines 'what to expect' elludes me. Despite the similarity 
of the error message, they occur in different looking code. Based on 
reported line numbers:
> Storable.xs 1291      INIT_STCXT;
> threads.xs   271      dMY_POOL;
> DBI.c       6413      dVAR; dXSBOOTARGSXSAPIVERCHK;
I've successfully compiled these three in earlier Perls, and compiled 
130+ modules with 5.26.1 & 2, but these 3 are playing hardball.

Storable and threads are supplied with 5.26., DBI I built in earlier 
days with no problem.
Norm
0
normw
4/9/2018 1:01:01 AM
perl.perl5.porters 47122 articles. 0 followers. Follow

1 Replies
3 Views

Similar Articles

[PageSpeed] 13

On 04/09/2018 10:03 AM, NormW wrote:
> GM,
> Excuse the noise if this problem is mine or belongs in another forum...
> 
>> Storable.xs(1291): Error! E1009: Expecting ')' but found '2.62'
>> Storable.xs(1291): Error! E1147: Too many errors: compilation aborted
>> make[1]: *** [Storable.obj] Error 1
>> make[1]: Target 'all' not remade because of errors.
>> threads.xs(271): Error! E1009: Expecting ')' but found '2.15'
>> threads.xs(271): Error! E1147: Too many errors: compilation aborted
>> make[1]: *** [threads.obj] Error 1
>> make[1]: Target 'all' not remade because of errors.
>> DBI.c(6413): Error! E1009: Expecting ')' but found '1.641'
>> DBI.c(6413): Error! E1147: Too many errors: compilation aborted
>> make[1]: *** [DBI.obj] Error 1
>> make[1]: Target 'all' not remade because of errors.
> 
> The numbers are the XS_VERSION; If I comment out the XS_VERSION_DEFINE 
> in the Makefile, then 'XS_VERSION' appears in the error message. What 
> mechanism determines 'what to expect' elludes me. Despite the similarity 
> of the error message, they occur in different looking code. Based on 
> reported line numbers:
>> Storable.xs 1291      INIT_STCXT;
>> threads.xs   271      dMY_POOL;
>> DBI.c       6413      dVAR; dXSBOOTARGSXSAPIVERCHK;
> I've successfully compiled these three in earlier Perls, and compiled 
> 130+ modules with 5.26.1 & 2, but these 3 are playing hardball.
> 
> Storable and threads are supplied with 5.26., DBI I built in earlier 
> days with no problem.
> Norm

Can you clarify what specifically you mean by compiling these modules?

Since, as you note, Storable and threads are supplied with the Perl 5 
core distribution, they presumably get compiled at the same time as 
perl.  If other people get errors at that stage, we certainly would have 
heard from them before now.

Can you supply 'perl -V' info and specific command-line invocations?

Thank you very much.
Jim Keenan
0
jkeenan
4/9/2018 3:24:27 PM
Reply: